'use strict';

const cheerio = require('cheerio');

class ScrapedResult {
  /**
   *
   */
  constructor(htmlString) {
    if (!htmlString) throw new Error('No HTML String provided.');
    if (!htmlString.length) throw new Error('Empty HTML string.');
    this.html = htmlString;
  }

  /**
   *
   */
  getHTML() {
    return this.html;
  }

  /**
   *
   */
  getParsed() {
    return cheerio.load(this.html);
  }
}

module.exports = ScrapedResult;
